{ pkgs, lib, config, ... }:
let
    settings = import ./../settings.nix;
in
{
    # Enable the X11 windowing system.
    services.xserver.enable = true;

    # Configure keymap in X11
    services.xserver = {
        layout = "de";
        xkbVariant = "";
    };

    # SDDM
    services.xserver.displayManager.sddm.enable = true;
    services.xserver.displayManager.sddm.wayland.enable = true;
    services.xserver.displayManager.defaultSession = "plasmawayland";   # set wayland as default session

    # Enable the KDE Plasma Desktop Environment.
    services.xserver.desktopManager.plasma5.enable = true; 

    # exclude packages from plasma5
    environment.plasma5.excludePackages = settings.plasma5.excludePackages;

    programs.dconf.enable = settings.plasma5.dconf;
    programs.xwayland.enable = settings.plasma5.xwayland;

    environment.systemPackages = (with pkgs; [
        filelight
    ]);

    programs.partition-manager.enable = true;

    environment.sessionVariables = rec {
        GTK_THEME = "Breeze-Dark";
    };
}
